com.tibco.tibjms.admin

## Class StoreInfo

- java.lang.Object
- - com.tibco.tibjms.admin.StoreInfo

- Direct Known Subclasses:
    DbStoreInfo, FileStoreInfo, MStoreInfo

      public abstract class StoreInfo
      extends java.lang.Object

  Class representing information about server's store.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageWriteTime()` Get the average time (in seconds) a write call takes.
    `long` | `getFileSize()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getSize()` or `MStoreInfo.getSize()`.
    `long` | `getFreeSpace()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getNotInUseSpace()` or `MStoreInfo.getNotInUseSpace()`.
    `long` | `getMsgBytes()` Get the total size of the data messages stored in the store.
    `long` | `getMsgCount()` Get the number of data messages stored in the store.
    `long` | `getSwappedBytes()` Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages.
    `long` | `getSwappedCount()` Get the number of data messages stored in the store as a result of swapping out non-persistent messages.
    `long` | `getUsedSpace()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getInUseSpace()` or `MStoreInfo.getInUseSpace()`.
    `double` | `getWriteUsage()` Get the Ratio between time spent within write and total time (server_rate_interval).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMsgCount

          public long getMsgCount()

      Get the number of data messages stored in the store.
      Returns:
        the number of messages

    - #### getMsgBytes

          public long getMsgBytes()

      Get the total size of the data messages stored in the store.
      Returns:
        the size in bytes

    - #### getSwappedCount

          public long getSwappedCount()

      Get the number of data messages stored in the store as a result of swapping out non-persistent messages.
      Returns:
        the number of messages

    - #### getSwappedBytes

          public long getSwappedBytes()

      Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages.
      Returns:
        the size in bytes

    - #### getFreeSpace

          @Deprecated
          public long getFreeSpace()

      Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getNotInUseSpace()` or `MStoreInfo.getNotInUseSpace()`.
      Get the amount of space in the store file that is not in use.
      Returns:
        the number of bytes that are free

    - #### getUsedSpace

          @Deprecated
          public long getUsedSpace()

      Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getInUseSpace()` or `MStoreInfo.getInUseSpace()`.
      Get the amount of space in the store file that is in use.
      Returns:
        the number of bytes that are in use

    - #### getFileSize

          @Deprecated
          public long getFileSize()

      Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getSize()` or `MStoreInfo.getSize()`.
      Get the total size of the store file.
      Returns:
        the size in bytes

    - #### getAverageWriteTime

          public double getAverageWriteTime()

      Get the average time (in seconds) a write call takes. This measurement is not available when the store is asynchronous.
      Returns:
        average time (in seconds) per write call. Always 0 when store is in asynchronous mode.
      Since:
        EMS 6.1

    - #### getWriteUsage

          public double getWriteUsage()

      Get the Ratio between time spent within write and total time (server_rate_interval). This measurement is not available when the store is asynchronous.
      Returns:
        value between [0-1] representing the ratio between time spent writing and total time. Always 0 when store is in asynchronous mode.
      Since:
        EMS 6.1

Copyright © Cloud Software Group, Inc. All rights reserved